import { ChangeEvent } from "react";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
import { ValidationIssue } from "@appglue/common/dist/Common/IDesignValidationProvider";
import { FormControl } from "../FormControl";
export declare class BarChartFormControl extends FormControl {
    readonly __type: string;
    label?: string;
    chartType: string;
    dataName?: string;
    allowSeries?: boolean;
    seriesNames?: string[];
    stackBars?: boolean;
    seriesDataType?: string;
    xAxisLabel?: string;
    yAxisLabel?: string;
    showLegend: boolean;
    legendPosition?: string;
    render3D: boolean;
    colorType: string;
    color?: string | string[];
    showXYAxis?: boolean;
    allowActions?: boolean;
    showTooltip?: boolean;
    setLowerBounds?: boolean;
    lowerBounds?: number;
    setUpperBounds?: boolean;
    upperBounds?: number;
    numberFormatter?: string;
    customNumberFormatter?: string;
    cursor: boolean;
    showIncrements: boolean;
    increment: string;
    constructor();
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getDataDefinition(): IDataDefinition | undefined;
    updateDataDefinition(previous?: string): void;
    updateChartData(e: ChangeEvent<HTMLInputElement | HTMLTextAreaElement>): void;
    getChartDefSampleValue(): any;
    getChartData(): any;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
